#include <stdio.h>
#include <stdlib.h>

int main()
{
    int N,i,j,zbi=0;
    scanf("%d",&N);
    int matr[N][2];
    for(int i=0;i<N;i++)
    {
        for(j=0;j<2;j++)
        {
             scanf("%d",&matr[i][j]);
if(matr[i][0]==matr[1][j])
    zbi++;
        }


    }
    printf("%d",zbi);
}